Subject: RE: User Shell?

From: Sean Page <[email-masked]>
Date: Wed, 17 May 2000 09:32:47 -0600

Or, you could also set up your student accounts with a bogus shell, so that
they are unable to login via telnet.
For example:
Add /usr/bin/true to your /etc/shells file
then
set up your student accounts to use /usr/bin/true as their shell.
no shell, no login.

Sean.

> ----------
> 
> 
> >I would like to make my student file server so that the
> >students may not telnet in, but I understand that
> >Netatalk requires a full login account.  Will this
> >change?  Is there a way around this?  I suppose I could
> >remove the telnet service.  Any other ideas?
> 
> Of course removing telnet service from inetd.conf ensures that *nobody*
> (even you!) can telnet in. 
> 
> I would recommend using randnum authentication and set an initial password
> for each user in the ~/.passwd file that is *different* from the unix
> password (which you will _not_ reveal to them.) Your other message
> referenced students having email accounts as well, in which case this
> solution won't work.
> 
> -Peter Gutowski
> 
>